#!/bin/bash
export OPENSSL_CONF=/etc/xos/ssl_xos.conf
SUBJ=`openssl x509 -noout -in $1 -subject | sed -e s'/subject= //'`
echo "SUBJECT=$SUBJ"
openssl req -new \
           -nodes \
           -keyout $1.key \
           -out $1.req \
           -newkey rsa:1024 \
           -subj "$SUBJ/CN=$RANDOM"
openssl x509 -req \
            -CA $1 \
            -CAkey $1  \
            -in $1.req \
            -out $1.crt \
            -set_serial $RANDOM \
            -sha1 \
            -days $3
cat $1.crt $1.key $1 > $2
rm -rf $1.crt $1.key $1.req
